import { AxiosInstance } from 'axios';
export interface Organization {
    uid: string;
    name: string;
    enabled: boolean;
}
export interface Stack {
    uid: string;
    name: string;
    master_locale: string;
    api_key: string;
    org_uid: string;
}
export interface CreateStackOptions {
    name: string;
    description: string;
    master_locale: string;
    org_uid: string;
}
export default class ContentstackClient {
    instance: AxiosInstance;
    limit: number;
    constructor(cmaHost: string, authToken: string, limit: number);
    getOrganization(org_uid: string): Promise<Organization>;
    getOrganizations(): Promise<Organization[]>;
    getStack(stackUID: string): Promise<Stack>;
    getStacks(org_uid: string): Promise<Stack[]>;
    getContentTypeCount(api_key: string): Promise<number>;
    createStack(options: CreateStackOptions): Promise<Stack>;
    private buildError;
}
