import { Organization } from '../seed/contentstack/client';
import { InquireStackResponse } from '../seed/interactive';
export declare const ENGLISH_LOCALE = "en-us";
export interface ContentModelSeederOptions {
    cdaHost: string;
    cmaHost: string;
    authToken: string;
    gitHubPath: string | undefined;
    orgUid: string | undefined;
    stackUid: string | undefined;
    stackName: string | undefined;
    fetchLimit: string | undefined;
    skipStackConfirmation: string | undefined;
}
export default class ContentModelSeeder {
    options: ContentModelSeederOptions;
    private readonly csClient;
    private readonly ghClient;
    private readonly _options;
    private ghUsername;
    private ghRepo;
    get ghPath(): string;
    constructor(options: ContentModelSeederOptions);
    run(): Promise<{
        api_key: string;
    } | undefined>;
    getInput(): Promise<{
        organizationResponse: Organization;
        stackResponse: InquireStackResponse;
    } | any>;
    createStack(organization: Organization, stackName: string): Promise<string>;
    shouldProceed(api_key: string): Promise<boolean>;
    downloadRelease(): Promise<string>;
    inquireGitHubRepo(): Promise<void>;
}
